# tspuse.sql

SELECT SUBSTR(D.tablespace_name,1,15)               TSPACE,
       D.file_id                                             FILE_ID,
       D.bytes / 1024 / 1024                      TOT_MB,
       D.bytes / 4096                                  ORA_BLKS,
       SUM(E.blocks)                                 TOT_USED,
       ROUND(SUM(E.blocks) / D.bytes / 4096 , 4) * 100  PCT_USED
FROM   sys.dba_extents      E,
       sys.dba_data_files   D
WHERE  D.file_id  = E.file_id (+)
GROUP BY D.tablespace_name, D.file_id, D.bytes
/
